> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post funnelsdomain



## OpenAPI

````yaml /api-reference/funnels/openapi.json post /funnels/domain
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/domain:
    post:
      operationId: createDomain
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDomainParams'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateDomainParams:
      type: object
      properties:
        url:
          type: string
        companyId:
          type: string
        locationId:
          type: string
        defaultDomain:
          type: boolean
        robotsTxtCode:
          type: string
        defaultPage:
          type: string
      required:
        - url
        - companyId
        - locationId
        - defaultDomain
        - robotsTxtCode
        - defaultPage

````